import { jsx } from "react/jsx-runtime";
import { SubwayIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Subway = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Subway", ...props, children: /* @__PURE__ */ jsx(SubwayIcon, { weight: variant }) });
  }
);
Subway.displayName = "Subway";
Object.assign(Subway, { isGdsIcon: true });
export {
  Subway
};
